---
title: Valid JSON but non standard value to given key
slug: fourkites-api-reference/valid-json-but-non-standard-value-to-given-key
createdAt: 2024-02-05T08:13:55.000Z
---

:::ApiMethodV2
```json
{
  "name": "",
  "method": "POST",
  "url": "https://api.fourkites.com/load/update/dispatcher-api/async",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "A7Tsvgnmw7rglHtFt1mgt",
        "language": "curl",
        "code": "curl --location 'https://api.fourkites.com/load/update/dispatcher-api/async' \\\n--header 'Content-Type: application/json' \\\n--data '{\n    \"updates\": [\n        {\n            \"timeZone\": \"UTC\",\n            \"identifierKeys\": [\n                {\n                    \"identifier\": \"Load reference #1\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #1\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped\n                }\n            ],\n            \"loadUpdate\": [\n                {\n                    \"locationUpdate\": {\n                        \"latitude\": {\n                            \"test\": \"41.998090\"\n                        },\n                        \"longitude\": \"-87.668700\",\n                        \"locatedAt\": \"2023-08-27T19:50:00Z\",\n                        \"city\": \"Chicago\",\n                        \"state\": \"IL\"\n                    }\n                }\n            ]\n        }\n    ]\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "A7Tsvgnmw7rglHtFt1mgt"
  },
  "results": {
    "languages": [
      {
        "id": "WddmdrqmVG0OooSGjBrDt",
        "language": "400",
        "customLabel": "",
        "code": "{\n  \"requestId\": \"761ecf9e-d243-4043-8d54-3ad4ea8c00c3\",\n  \"status\": \"400\",\n  \"message\": \"Invalid JSON format @ index - ['updates'][0]['loadUpdate'][0]['locationUpdate']['latitude']\",\n  \"timestamp\": \"2023-09-14T17:56:39.858110\"\n}"
      }
    ],
    "selectedLanguageId": "WddmdrqmVG0OooSGjBrDt"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "FFNq5-XxqulJVsJ99eqbt",
  "legacyHash": "FFNq5-XxqulJVsJ99eqbt"
}
```
:::

## Header

***

| **Content-Type** | application/xml |
| ---------------- | --------------- |
| **apikey**       | testkey         |

## Body

***

```json
{
    "updates": [
        {
            "timeZone": "UTC",
            "identifierKeys": [
                {
                    "identifier": "Load reference #1",
                    "rawIdentifier": "Carrier format - Load reference #1",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped
                }
            ],
            "loadUpdate": [
                {
                    "locationUpdate": {
                        "latitude": {
                            "test": "41.998090"
                        },
                        "longitude": "-87.668700",
                        "locatedAt": "2023-08-27T19:50:00Z",
                        "city": "Chicago",
                        "state": "IL"
                    }
                }
            ]
        }
    ]
}
```
